
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIWeights complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIWeights"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="G" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="F1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="F2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="N" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No17" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="O1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="O2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No18" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIWeights", propOrder = {
    "g",
    "f1",
    "f2",
    "n",
    "no17",
    "o1",
    "o2",
    "no18"
})
public class WSRCIIWeights {

    @XmlElement(name = "G", nillable = true)
    protected String g;
    @XmlElement(name = "F1", nillable = true)
    protected String f1;
    @XmlElement(name = "F2", nillable = true)
    protected String f2;
    @XmlElement(name = "N", nillable = true)
    protected String n;
    @XmlElement(name = "No17", nillable = true)
    protected String no17;
    @XmlElement(name = "O1", nillable = true)
    protected String o1;
    @XmlElement(name = "O2", nillable = true)
    protected String o2;
    @XmlElement(name = "No18", nillable = true)
    protected String no18;

    /**
     * Gets the value of the g property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getG() {
        return g;
    }

    /**
     * Sets the value of the g property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setG(String value) {
        this.g = value;
    }

    /**
     * Gets the value of the f1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getF1() {
        return f1;
    }

    /**
     * Sets the value of the f1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setF1(String value) {
        this.f1 = value;
    }

    /**
     * Gets the value of the f2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getF2() {
        return f2;
    }

    /**
     * Sets the value of the f2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setF2(String value) {
        this.f2 = value;
    }

    /**
     * Gets the value of the n property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getN() {
        return n;
    }

    /**
     * Sets the value of the n property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setN(String value) {
        this.n = value;
    }

    /**
     * Gets the value of the no17 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo17() {
        return no17;
    }

    /**
     * Sets the value of the no17 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo17(String value) {
        this.no17 = value;
    }

    /**
     * Gets the value of the o1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getO1() {
        return o1;
    }

    /**
     * Sets the value of the o1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setO1(String value) {
        this.o1 = value;
    }

    /**
     * Gets the value of the o2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getO2() {
        return o2;
    }

    /**
     * Sets the value of the o2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setO2(String value) {
        this.o2 = value;
    }

    /**
     * Gets the value of the no18 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo18() {
        return no18;
    }

    /**
     * Sets the value of the no18 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo18(String value) {
        this.no18 = value;
    }

    public WSRCIIWeights withG(String value) {
        setG(value);
        return this;
    }

    public WSRCIIWeights withF1(String value) {
        setF1(value);
        return this;
    }

    public WSRCIIWeights withF2(String value) {
        setF2(value);
        return this;
    }

    public WSRCIIWeights withN(String value) {
        setN(value);
        return this;
    }

    public WSRCIIWeights withNo17(String value) {
        setNo17(value);
        return this;
    }

    public WSRCIIWeights withO1(String value) {
        setO1(value);
        return this;
    }

    public WSRCIIWeights withO2(String value) {
        setO2(value);
        return this;
    }

    public WSRCIIWeights withNo18(String value) {
        setNo18(value);
        return this;
    }

}
